Bug 192757 - closing and reopening project fails to notice new files
closing and reopening project fails to notice new files
Status: RESOLVED FIXED
Product: platform
Classification: Unclassified
Component: Filesystems
7.0
PC Solaris
: P3 (vote)
: 7.4
Assigned To: Egor Ushakov
issues@platform
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-01 18:13 UTC by billshannon
Modified: 2013-07-09 09:33 UTC (History)
1 user (show)

See Also:
Issue Type: DEFECT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description billshannon 2010-12-01 18:13:29 UTC
I'm using the 201011230001 dev build, plus a bunch of updates loaded today.

I closed a project.  I replaced the project directory with a different
version of the project with additional files.  I opened the project
(same name, same location, but now with different contents) and the new
files did not show up in the navigator.  I restarted the IDE and now the
new files show up.
Comment 1 Jesse Glick 2010-12-01 21:08:42 UTC
Are these "additional files" sources under e.g. src/main/java, or something else? What version of Solaris are you using, and what kind of FS mount?
Comment 2 billshannon 2010-12-01 21:18:33 UTC
Yes, source files under src/java.  Also deployment descriptors.

I'm using OpenSolaris, er, Solaris Express and the files are all
on a local zfs filesystem.
Comment 3 Jaroslav Tulach 2010-12-02 06:21:49 UTC
FAM support was implemented by gorrus@netbeans.org
Comment 4 Egor Ushakov 2011-01-26 13:53:12 UTC
FAM is not installed by default in any Solaris, are you sure you have it installed?
Comment 5 billshannon 2011-01-26 20:30:01 UTC
I don't know what FAM is.  How do I tell whether it's installed?
Comment 6 Egor Ushakov 2011-01-26 20:46:30 UTC
first, what version of Solaris do you have, type:
uname -a
Comment 7 billshannon 2011-01-26 23:26:04 UTC
$ uname -a
SunOS datsunx 5.11 snv_147 i86pc i386 i86pc
Comment 8 Egor Ushakov 2012-05-25 13:22:16 UTC
unfortunately, FAM implementation on Solaris (gamin) is outdated and buggy, so native file listeners using FAM were disabled in NB, we're looking for better solution. Now you can right click on a folder in NB and choose "refresh folder" if you think that file list is obsolete.
Comment 9 Egor Ushakov 2013-06-12 11:14:30 UTC
Maybe it is the time to write java nio2 based file watcher...
Comment 10 Egor Ushakov 2013-07-09 09:33:23 UTC
implemented java 7 nio notifier in:
http://hg.netbeans.org/cnd-main/rev/db2c7cbdae26
Please wait a couple days and try dev build to verify that it helps, thanks!


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo